Bug 43227 - scripts behave improperly
scripts behave improperly
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-01 20:12 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 20:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-01 20:12:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
scripts in rpm behave improperly, thus causing rpm to work wrongly

How reproducible:
Always

Steps to Reproduce:
1rpm -Uvh rpm-4.0.2-6x.i386.rpm -vv; echo $? # for example
2.
3.
	

Actual Results:  D: counting packages to install
D: found 1 packages
D: looking for packages to download
D: retrieved 0 packages
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1283514
D: expected size   : 1283514
D: opening database mode 0x42 in /var/lib/rpm
D: found 0 source and 1 binary packages
D:  requires: gawk   satisfied by db provides.
D:  requires: fileutils   satisfied by db provides.
D:  requires: textutils   satisfied by db provides.
D:  requires: mktemp   satisfied by db provides.
D:  requires: popt  satisfied by db provides.
D:  requires: /bin/sh   satisfied by db file lists.
D:  requires: /sbin/ldconfig   satisfied by db file lists.
D:  requires: ld-linux.so.2  satisfied by db provides.
D:  requires: libbz2.so.0  satisfied by db provides.
D:  requires: libc.so.6  satisfied by db provides.
D:  requires: libdb-3.1.so  satisfied by db provides.
D:  requires: libdb.so.2  satisfied by db provides.
D:  requires: libpopt.so.0  satisfied by db provides.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpmbuild.so.0 	B librpmbuild.so.0 
D:  requires: librpmbuild.so.0  satisfied by added provide.
D:   YES    A librpmio.so.0 	B librpmio.so.0 
D:  requires: librpmio.so.0  satisfied by added provide.
D:  requires: libz.so.1  satisfied by db provides.
D:  requires: /bin/sh  satisfied by db file lists.
D:  requires: libc.so.6(GLIBC_2.0)  satisfied by db provides.
D:  requires: libc.so.6(GLIBC_2.1)  satisfied by db provides.
D:  requires: libdb.so.2(GLIBC_2.0)  satisfied by db provides.
D:   NO     A patch = 2.5-8	B patch < 2.5
D:   NO     A patch = 2.5-8	B patch < 2.5
D: conflicts: patch < 2.5 unsatisfied.
D:   NO     A ANSI_X3.110.so 	B glibc >= 2.1.92
D:   NO     A ASMO_449.so 	B glibc >= 2.1.92
D:   NO     A BALTIC.so 	B glibc >= 2.1.92
D:   NO     A BIG5.so 	B glibc >= 2.1.92
D:   NO     A CP1250.so 	B glibc >= 2.1.92
D:   NO     A CP1251.so 	B glibc >= 2.1.92
D:   NO     A CP1252.so 	B glibc >= 2.1.92
D:   NO     A CP1253.so 	B glibc >= 2.1.92
D:   NO     A CP1254.so 	B glibc >= 2.1.92
D:   NO     A CP1255.so 	B glibc >= 2.1.92
D:   NO     A CP1256.so 	B glibc >= 2.1.92
D:   NO     A CP1257.so 	B glibc >= 2.1.92
D:   NO     A CP1258.so 	B glibc >= 2.1.92
D:   NO     A CP737.so 	B glibc >= 2.1.92
D:   NO     A CP775.so 	B glibc >= 2.1.92
D:   NO     A CP874.so 	B glibc >= 2.1.92
D:   NO     A CSN_369103.so 	B glibc >= 2.1.92
D:   NO     A CWI.so 	B glibc >= 2.1.92
D:   NO     A DEC-MCS.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-AT-DE-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-AT-DE.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-CA-FR.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-DK-NO-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-DK-NO.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES-S.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FI-SE-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FI-SE.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FR.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-IS-FRISS.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-IT.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-PT.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-UK.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-US.so 	B glibc >= 2.1.92
D:   NO     A ECMA-CYRILLIC.so 	B glibc >= 2.1.92
D:   NO     A EUC-CN.so 	B glibc >= 2.1.92
D:   NO     A EUC-JP.so 	B glibc >= 2.1.92
D:   NO     A EUC-KR.so 	B glibc >= 2.1.92
D:   NO     A EUC-TW.so 	B glibc >= 2.1.92
D:   NO     A GOST_19768-74.so 	B glibc >= 2.1.92
D:   NO     A GREEK-CCITT.so 	B glibc >= 2.1.92
D:   NO     A GREEK7-OLD.so 	B glibc >= 2.1.92
D:   NO     A GREEK7.so 	B glibc >= 2.1.92
D:   NO     A HP-ROMAN8.so 	B glibc >= 2.1.92
D:   NO     A IBM037.so 	B glibc >= 2.1.92
D:   NO     A IBM038.so 	B glibc >= 2.1.92
D:   NO     A IBM1004.so 	B glibc >= 2.1.92
D:   NO     A IBM1026.so 	B glibc >= 2.1.92
D:   NO     A IBM1047.so 	B glibc >= 2.1.92
D:   NO     A IBM256.so 	B glibc >= 2.1.92
D:   NO     A IBM273.so 	B glibc >= 2.1.92
D:   NO     A IBM274.so 	B glibc >= 2.1.92
D:   NO     A IBM275.so 	B glibc >= 2.1.92
D:   NO     A IBM277.so 	B glibc >= 2.1.92
D:   NO     A IBM278.so 	B glibc >= 2.1.92
D:   NO     A IBM280.so 	B glibc >= 2.1.92
D:   NO     A IBM281.so 	B glibc >= 2.1.92
D:   NO     A IBM284.so 	B glibc >= 2.1.92
D:   NO     A IBM285.so 	B glibc >= 2.1.92
D:   NO     A IBM290.so 	B glibc >= 2.1.92
D:   NO     A IBM297.so 	B glibc >= 2.1.92
D:   NO     A IBM420.so 	B glibc >= 2.1.92
D:   NO     A IBM423.so 	B glibc >= 2.1.92
D:   NO     A IBM424.so 	B glibc >= 2.1.92
D:   NO     A IBM437.so 	B glibc >= 2.1.92
D:   NO     A IBM500.so 	B glibc >= 2.1.92
D:   NO     A IBM850.so 	B glibc >= 2.1.92
D:   NO     A IBM851.so 	B glibc >= 2.1.92
D:   NO     A IBM852.so 	B glibc >= 2.1.92
D:   NO     A IBM855.so 	B glibc >= 2.1.92
D:   NO     A IBM857.so 	B glibc >= 2.1.92
D:   NO     A IBM860.so 	B glibc >= 2.1.92
D:   NO     A IBM861.so 	B glibc >= 2.1.92
D:   NO     A IBM862.so 	B glibc >= 2.1.92
D:   NO     A IBM863.so 	B glibc >= 2.1.92
D:   NO     A IBM864.so 	B glibc >= 2.1.92
D:   NO     A IBM865.so 	B glibc >= 2.1.92
D:   NO     A IBM866.so 	B glibc >= 2.1.92
D:   NO     A IBM868.so 	B glibc >= 2.1.92
D:   NO     A IBM869.so 	B glibc >= 2.1.92
D:   NO     A IBM870.so 	B glibc >= 2.1.92
D:   NO     A IBM871.so 	B glibc >= 2.1.92
D:   NO     A IBM875.so 	B glibc >= 2.1.92
D:   NO     A IBM880.so 	B glibc >= 2.1.92
D:   NO     A IBM891.so 	B glibc >= 2.1.92
D:   NO     A IBM903.so 	B glibc >= 2.1.92
D:   NO     A IBM904.so 	B glibc >= 2.1.92
D:   NO     A IBM905.so 	B glibc >= 2.1.92
D:   NO     A IBM918.so 	B glibc >= 2.1.92
D:   NO     A IEC_P27-1.so 	B glibc >= 2.1.92
D:   NO     A INIS-8.so 	B glibc >= 2.1.92
D:   NO     A INIS-CYRILLIC.so 	B glibc >= 2.1.92
D:   NO     A INIS.so 	B glibc >= 2.1.92
D:   NO     A ISO-2022-JP.so 	B glibc >= 2.1.92
D:   NO     A ISO-2022-KR.so 	B glibc >= 2.1.92
D:   NO     A ISO-IR-197.so 	B glibc >= 2.1.92
D:   NO     A ISO646.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-1.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-10.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-11.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-13.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-14.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-15.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-2.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-3.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-4.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-5.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-6.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-7.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-8.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-9.so 	B glibc >= 2.1.92
D:   NO     A ISO_10367-BOX.so 	B glibc >= 2.1.92
D:   NO     A ISO_2033.so 	B glibc >= 2.1.92
D:   NO     A ISO_5427-EXT.so 	B glibc >= 2.1.92
D:   NO     A ISO_5427.so 	B glibc >= 2.1.92
D:   NO     A ISO_5428.so 	B glibc >= 2.1.92
D:   NO     A ISO_6937-2.so 	B glibc >= 2.1.92
D:   NO     A ISO_6937.so 	B glibc >= 2.1.92
D:   NO     A JOHAB.so 	B glibc >= 2.1.92
D:   NO     A KOI-8.so 	B glibc >= 2.1.92
D:   NO     A KOI8-R.so 	B glibc >= 2.1.92
D:   NO     A KOI8-U.so 	B glibc >= 2.1.92
D:   NO     A LATIN-GREEK-1.so 	B glibc >= 2.1.92
D:   NO     A LATIN-GREEK.so 	B glibc >= 2.1.92
D:   NO     A MAC-IS.so 	B glibc >= 2.1.92
D:   NO     A MAC-UK.so 	B glibc >= 2.1.92
D:   NO     A MACINTOSH.so 	B glibc >= 2.1.92
D:   NO     A NATS-DANO.so 	B glibc >= 2.1.92
D:   NO     A NATS-SEFI.so 	B glibc >= 2.1.92
D:   NO     A SAMI-WS2.so 	B glibc >= 2.1.92
D:   NO     A SJIS.so 	B glibc >= 2.1.92
D:   NO     A T.61.so 	B glibc >= 2.1.92
D:   NO     A TIS-620.so 	B glibc >= 2.1.92
D:   NO     A UHC.so 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libCNS.so 	B glibc >= 2.1.92
D:   NO     A libCNS.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libGB.so 	B glibc >= 2.1.92
D:   NO     A libGB.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libJIS.so 	B glibc >= 2.1.92
D:   NO     A libJIS.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libKSC.so 	B glibc >= 2.1.92
D:   NO     A libKSC.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libNoVersion.so.1 	B glibc >= 2.1.92
D:   NO     A libNoVersion.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libSegFault.so 	B glibc >= 2.1.92
D:   NO     A libSegFault.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libc.so.6 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.1.1) 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdb.so.2 	B glibc >= 2.1.92
D:   NO     A libdb.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdb.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdb.so.3 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libm.so.6 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_nisplus.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_nisplus.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_nisplus.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.1.1) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A librt.so.1 	B glibc >= 2.1.92
D:   NO     A librt.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A librt.so.1(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libutil.so.1 	B glibc >= 2.1.92
D:   NO     A libutil.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libutil.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A glibc = 2.1.1-6	B glibc >= 2.1.92
D:   NO     A glibc = 2.1.1-6	B glibc >= 2.1.92
D: conflicts: glibc >= 2.1.92 unsatisfied.
D:   YES    A rpm = 4.0.2-6x	B rpm >= 3.0.3
D:  requires: rpm >= 3.0.3 satisfied by added package.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpmbuild.so.0 	B librpmbuild.so.0 
D:  requires: librpmbuild.so.0  satisfied by added provide.
D: installing binary packages
D: getting list of mounted filesystems
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1283514
D: expected size   : 1283514
D: package: rpm-4.0.2-6x files test = 0
D:    file: /bin/rpm action: create
D:    file: /etc/rpm action: create
D:    file: /etc/rpm/macros.db1 action: create
D:    file: /usr/bin/gendiff action: create
D:    file: /usr/bin/rpm2cpio action: create
D:    file: /usr/bin/rpmdb action: create
D:    file: /usr/bin/rpme action: create
D:    file: /usr/bin/rpmi action: create
D:    file: /usr/bin/rpmquery action: create
D:    file: /usr/bin/rpmsign action: create
D:    file: /usr/bin/rpmu action: create
D:    file: /usr/bin/rpmverify action: create
D:    file: /usr/doc/rpm-4.0.2 action: create
D:    file: /usr/doc/rpm-4.0.2/CHANGES action: create
D:    file: /usr/doc/rpm-4.0.2/GROUPS action: create
D:    file: /usr/doc/rpm-4.0.2/RPM-GPG-KEY action: create
D:    file: /usr/doc/rpm-4.0.2/RPM-PGP-KEY action: create
D:    file: /usr/doc/rpm-4.0.2/builddependencies action: create
D:    file: /usr/doc/rpm-4.0.2/buildroot action: create
D:    file: /usr/doc/rpm-4.0.2/dependencies action: create
D:    file: /usr/doc/rpm-4.0.2/format action: create
D:    file: /usr/doc/rpm-4.0.2/macros action: create
D:    file: /usr/doc/rpm-4.0.2/multiplebuilds action: create
D:    file: /usr/doc/rpm-4.0.2/queryformat action: create
D:    file: /usr/doc/rpm-4.0.2/relocatable action: create
D:    file: /usr/doc/rpm-4.0.2/signatures action: create
D:    file: /usr/doc/rpm-4.0.2/spec action: create
D:    file: /usr/doc/rpm-4.0.2/triggers action: create
D:    file: /usr/lib/librpm.so.0 action: create
D:    file: /usr/lib/librpm.so.0.0.0 action: create
D:    file: /usr/lib/librpmbuild.so.0 action: create
D:    file: /usr/lib/librpmbuild.so.0.0.0 action: create
D:    file: /usr/lib/librpmio.so.0 action: create
D:    file: /usr/lib/librpmio.so.0.0.0 action: create
D:    file: /usr/lib/rpm/config.guess action: create
D:    file: /usr/lib/rpm/config.sub action: create
D:    file: /usr/lib/rpm/convertrpmrc.sh action: create
D:    file: /usr/lib/rpm/i386-linux action: create
D:    file: /usr/lib/rpm/i386-redhat-linux action: create
D:    file: /usr/lib/rpm/i386-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i486-linux action: create
D:    file: /usr/lib/rpm/i486-redhat-linux action: create
D:    file: /usr/lib/rpm/i486-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i586-linux action: create
D:    file: /usr/lib/rpm/i586-redhat-linux action: create
D:    file: /usr/lib/rpm/i586-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i686-linux action: create
D:    file: /usr/lib/rpm/i686-redhat-linux action: create
D:    file: /usr/lib/rpm/i686-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/macros action: create
D:    file: /usr/lib/rpm/mkinstalldirs action: create
D:    file: /usr/lib/rpm/rpmdb action: create
D:    file: /usr/lib/rpm/rpme action: create
D:    file: /usr/lib/rpm/rpmi action: create
D:    file: /usr/lib/rpm/rpmk action: create
D:    file: /usr/lib/rpm/rpmpopt-4.0.2 action: create
D:    file: /usr/lib/rpm/rpmq action: create
D:    file: /usr/lib/rpm/rpmrc action: create
D:    file: /usr/lib/rpm/rpmu action: create
D:    file: /usr/lib/rpm/rpmv action: create
D:    file: /usr/man/man1/gendiff.1.gz action: create
D:    file: /usr/man/man8/rpm.8.gz action: create
D:    file: /usr/man/man8/rpm2cpio.8.gz action: create
D:    file: /usr/man/pl/man8/rpm.8.gz action: create
D:    file: /usr/man/ru/man8/rpm.8.gz action:create
D:    file: /usr/man/ru/man8/rpm2cpio.8.gz action: create
D:    file: /usr/man/sk/man8/rpm.8.gz action: create
D:    file: /usr/share/locale/cs/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/da/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/de/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/fi/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/fr/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/is/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ja/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/no/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pl/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pt/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pt_BR/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ro/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ru/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sk/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sl/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sr/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sv/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/tr/LC_MESSAGES/rpm.mo action: create
D: running preinstall script (if any)
1


Expected Results:  rpm                        
##################################################
cannot remove /usr/src/redhat/SPECS - directory not empty
cannot remove /usr/src/redhat/SOURCES - directory not empty
cannot remove /usr/src/redhat - directory not empty


Additional info:

The scripts when interpreted by my rpm-3.0.6-6x on rpm files don't seem to
work.  The below script serves to illustrate.

# now demonstrating what kind of rpm, db3 I have

[root@localhost clfest]# rpm -qa | grep rpm
gnorpm-0.8-5
rpmfind-1.6-1
rpm-3.0.6-6x
maximum-rpm-1.0-0.20010419
[root@localhost clfest]# rpm -qa | grep db3
db3-3.1.17-4.6x
db3-utils-3.1.17-4.6x

# changing to directory I have rpm files in

[root@localhost clfest]# cd /tmp/rpms
[root@localhost rpms]# ls
db3-3.1.17-4.6x.i386.rpm        emacs-X11-20.7-1.i386.rpm 
rpm-3.0.6-6x.i386.rpm  rpm-utils-1.5-1.noarch.rpm
db3-utils-3.1.17-4.6x.i386.rpm  glibc-2.1.3-22.i386.rpm   
rpm-4.0.2-6x.i386.rpm
emacs-20.7-1.i386.rpm           rpm-3.0.5-7.6x.i386.rpm   
rpm-4.0.2-6x.src.rpm

# attempting to install rpm-4.0.2

[root@localhost rpms]# rpm -Uvh rpm-4.0.2-6x.i386.rpm -vv; echo $?
D: counting packages to install
D: found 1 packages
D: looking for packages to download
D: retrieved 0 packages
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1283514
D: expected size   : 1283514
D: opening database mode 0x42 in /var/lib/rpm
D: found 0 source and 1 binary packages
D:  requires: gawk   satisfied by db provides.
D:  requires: fileutils   satisfied by db provides.
D:  requires: textutils   satisfied by db provides.
D:  requires: mktemp   satisfied by db provides.
D:  requires: popt  satisfied by db provides.
D:  requires: /bin/sh   satisfied by db file lists.
D:  requires: /sbin/ldconfig   satisfied by db file lists.
D:  requires: ld-linux.so.2  satisfied by db provides.
D:  requires: libbz2.so.0  satisfied by db provides.
D:  requires: libc.so.6  satisfied by db provides.
D:  requires: libdb-3.1.so  satisfied by db provides.
D:  requires: libdb.so.2  satisfied by db provides.
D:  requires: libpopt.so.0  satisfied by db provides.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpmbuild.so.0 	B librpmbuild.so.0 
D:  requires: librpmbuild.so.0  satisfied by added provide.
D:   YES    A librpmio.so.0 	B librpmio.so.0 
D:  requires: librpmio.so.0  satisfied by added provide.
D:  requires: libz.so.1  satisfied by db provides.
D:  requires: /bin/sh  satisfied by db file lists.
D:  requires: libc.so.6(GLIBC_2.0)  satisfied by db provides.
D:  requires: libc.so.6(GLIBC_2.1)  satisfied by db provides.
D:  requires: libdb.so.2(GLIBC_2.0)  satisfied by db provides.
D:   NO     A patch = 2.5-8	B patch < 2.5
D:   NO     A patch = 2.5-8	B patch < 2.5
D: conflicts: patch < 2.5 unsatisfied.
D:   NO     A ANSI_X3.110.so 	B glibc >= 2.1.92
D:   NO     A ASMO_449.so 	B glibc >= 2.1.92
D:   NO     A BALTIC.so 	B glibc >= 2.1.92
D:   NO     A BIG5.so 	B glibc >= 2.1.92
D:   NO     A CP1250.so 	B glibc >= 2.1.92
D:   NO     A CP1251.so 	B glibc >= 2.1.92
D:   NO     A CP1252.so 	B glibc >= 2.1.92
D:   NO     A CP1253.so 	B glibc >= 2.1.92
D:   NO     A CP1254.so 	B glibc >= 2.1.92
D:   NO     A CP1255.so 	B glibc >= 2.1.92
D:   NO     A CP1256.so 	B glibc >= 2.1.92
D:   NO     A CP1257.so 	B glibc >= 2.1.92
D:   NO     A CP1258.so 	B glibc >= 2.1.92
D:   NO     A CP737.so 	B glibc >= 2.1.92
D:   NO     A CP775.so 	B glibc >= 2.1.92
D:   NO     A CP874.so 	B glibc >= 2.1.92
D:   NO     A CSN_369103.so 	B glibc >= 2.1.92
D:   NO     A CWI.so 	B glibc >= 2.1.92
D:   NO     A DEC-MCS.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-AT-DE-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-AT-DE.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-CA-FR.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-DK-NO-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-DK-NO.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES-S.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-ES.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FI-SE-A.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FI-SE.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-FR.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-IS-FRISS.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-IT.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-PT.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-UK.so 	B glibc >= 2.1.92
D:   NO     A EBCDIC-US.so 	B glibc >= 2.1.92
D:   NO     A ECMA-CYRILLIC.so 	B glibc >= 2.1.92
D:   NO     A EUC-CN.so 	B glibc >= 2.1.92
D:   NO     A EUC-JP.so 	B glibc >= 2.1.92
D:   NO     A EUC-KR.so 	B glibc >= 2.1.92
D:   NO     A EUC-TW.so 	B glibc >= 2.1.92
D:   NO     A GOST_19768-74.so 	B glibc >= 2.1.92
D:   NO     A GREEK-CCITT.so 	B glibc >= 2.1.92
D:   NO     A GREEK7-OLD.so 	B glibc >= 2.1.92
D:   NO     A GREEK7.so 	B glibc >= 2.1.92
D:   NO     A HP-ROMAN8.so 	B glibc >= 2.1.92
D:   NO     A IBM037.so 	B glibc >= 2.1.92
D:   NO     A IBM038.so 	B glibc >= 2.1.92
D:   NO     A IBM1004.so 	B glibc >= 2.1.92
D:   NO     A IBM1026.so 	B glibc >= 2.1.92
D:   NO     A IBM1047.so 	B glibc >= 2.1.92
D:   NO     A IBM256.so 	B glibc >= 2.1.92
D:   NO     A IBM273.so 	B glibc >= 2.1.92
D:   NO     A IBM274.so 	B glibc >= 2.1.92
D:   NO     A IBM275.so 	B glibc >= 2.1.92
D:   NO     A IBM277.so 	B glibc >= 2.1.92
D:   NO     A IBM278.so 	B glibc >= 2.1.92
D:   NO     A IBM280.so 	B glibc >= 2.1.92
D:   NO     A IBM281.so 	B glibc >= 2.1.92
D:   NO     A IBM284.so 	B glibc >= 2.1.92
D:   NO     A IBM285.so 	B glibc >= 2.1.92
D:   NO     A IBM290.so 	B glibc >= 2.1.92
D:   NO     A IBM297.so 	B glibc >= 2.1.92
D:   NO     A IBM420.so 	B glibc >= 2.1.92
D:   NO     A IBM423.so 	B glibc >= 2.1.92
D:   NO     A IBM424.so 	B glibc >= 2.1.92
D:   NO     A IBM437.so 	B glibc >= 2.1.92
D:   NO     A IBM500.so 	B glibc >= 2.1.92
D:   NO     A IBM850.so 	B glibc >= 2.1.92
D:   NO     A IBM851.so 	B glibc >= 2.1.92
D:   NO     A IBM852.so 	B glibc >= 2.1.92
D:   NO     A IBM855.so 	B glibc >= 2.1.92
D:   NO     A IBM857.so 	B glibc >= 2.1.92
D:   NO     A IBM860.so 	B glibc >= 2.1.92
D:   NO     A IBM861.so 	B glibc >= 2.1.92
D:   NO     A IBM862.so 	B glibc >= 2.1.92
D:   NO     A IBM863.so 	B glibc >= 2.1.92
D:   NO     A IBM864.so 	B glibc >= 2.1.92
D:   NO     A IBM865.so 	B glibc >= 2.1.92
D:   NO     A IBM866.so 	B glibc >= 2.1.92
D:   NO     A IBM868.so 	B glibc >= 2.1.92
D:   NO     A IBM869.so 	B glibc >= 2.1.92
D:   NO     A IBM870.so 	B glibc >= 2.1.92
D:   NO     A IBM871.so 	B glibc >= 2.1.92
D:   NO     A IBM875.so 	B glibc >= 2.1.92
D:   NO     A IBM880.so 	B glibc >= 2.1.92
D:   NO     A IBM891.so 	B glibc >= 2.1.92
D:   NO     A IBM903.so 	B glibc >= 2.1.92
D:   NO     A IBM904.so 	B glibc >= 2.1.92
D:   NO     A IBM905.so 	B glibc >= 2.1.92
D:   NO     A IBM918.so 	B glibc >= 2.1.92
D:   NO     A IEC_P27-1.so 	B glibc >= 2.1.92
D:   NO     A INIS-8.so 	B glibc >= 2.1.92
D:   NO     A INIS-CYRILLIC.so 	B glibc >= 2.1.92
D:   NO     A INIS.so 	B glibc >= 2.1.92
D:   NO     A ISO-2022-JP.so 	B glibc >= 2.1.92
D:   NO     A ISO-2022-KR.so 	B glibc >= 2.1.92
D:   NO     A ISO-IR-197.so 	B glibc >= 2.1.92
D:   NO     A ISO646.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-1.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-10.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-11.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-13.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-14.so 	B glibc >= 2.1.92
D:   NO    A ISO8859-15.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-2.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-3.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-4.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-5.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-6.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-7.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-8.so 	B glibc >= 2.1.92
D:   NO     A ISO8859-9.so 	B glibc >= 2.1.92
D:   NO     A ISO_10367-BOX.so 	B glibc >= 2.1.92
D:   NO     A ISO_2033.so 	B glibc >= 2.1.92
D:   NO     A ISO_5427-EXT.so 	B glibc >= 2.1.92
D:   NO     A ISO_5427.so 	B glibc >= 2.1.92
D:   NO     A ISO_5428.so 	B glibc >= 2.1.92
D:   NO     A ISO_6937-2.so 	B glibc >= 2.1.92
D:   NO     A ISO_6937.so 	B glibc >= 2.1.92
D:   NO     A JOHAB.so 	B glibc >= 2.1.92
D:   NO     A KOI-8.so 	B glibc >= 2.1.92
D:   NO     A KOI8-R.so 	B glibc >= 2.1.92
D:   NO     A KOI8-U.so 	B glibc >= 2.1.92
D:   NO     A LATIN-GREEK-1.so 	B glibc >= 2.1.92
D:   NO     A LATIN-GREEK.so 	B glibc >= 2.1.92
D:   NO     A MAC-IS.so 	B glibc >= 2.1.92
D:   NO     A MAC-UK.so 	B glibc >= 2.1.92
D:   NO     A MACINTOSH.so 	B glibc >= 2.1.92
D:   NO     A NATS-DANO.so 	B glibc >= 2.1.92
D:   NO     A NATS-SEFI.so 	B glibc >= 2.1.92
D:   NO     A SAMI-WS2.so 	B glibc >= 2.1.92
D:   NO     A SJIS.so 	B glibc >= 2.1.92
D:   NO     A T.61.so 	B glibc >= 2.1.92
D:   NO     A TIS-620.so 	B glibc >= 2.1.92
D:   NO     A UHC.so 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A ld-linux.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libBrokenLocale.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libCNS.so 	B glibc >= 2.1.92
D:   NO     A libCNS.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libGB.so 	B glibc >= 2.1.92
D:   NO     A libGB.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libJIS.so 	B glibc >= 2.1.92
D:   NO     A libJIS.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libKSC.so 	B glibc >= 2.1.92
D:   NO     A libKSC.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libNoVersion.so.1 	B glibc >= 2.1.92
D:   NO     A libNoVersion.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libSegFault.so 	B glibc >= 2.1.92
D:   NO     A libSegFault.so(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libc.so.6 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libc.so.6(GLIBC_2.1.1) 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libcrypt.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdb.so.2 	B glibc >= 2.1.92
D:   NO     A libdb.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdb.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO  A libdb.so.3 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdb.so.3(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libdl.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libm.so.6 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libm.so.6(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnsl.so.1(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_compat.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_db.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_dns.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_files.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_hesiod.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libnss_nis.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libnss_nisplus.so.2 	B glibc >= 2.1.92
D:   NO     A libnss_nisplus.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:NO     A libnss_nisplus.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libpthread.so.0(GLIBC_2.1.1) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A libresolv.so.2(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A librt.so.1 	B glibc >= 2.1.92
D:   NO     A librt.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A librt.so.1(GLIBC_2.1) 	B glibc >= 2.1.92
D:   NO     A libutil.so.1 	B glibc >= 2.1.92
D:   NO     A libutil.so.1(GCC.INTERNAL) 	B glibc >= 2.1.92
D:   NO     A libutil.so.1(GLIBC_2.0) 	B glibc >= 2.1.92
D:   NO     A glibc = 2.1.1-6	B glibc >= 2.1.92
D:   NO     A glibc = 2.1.1-6	B glibc >= 2.1.92
D: conflicts: glibc >= 2.1.92 unsatisfied.
D:   YES    A rpm = 4.0.2-6x	B rpm >= 3.0.3
D:  requires: rpm >= 3.0.3 satisfied by added package.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpm.so.0 	B librpm.so.0 
D:  requires: librpm.so.0  satisfied by added provide.
D:   YES    A librpmbuild.so.0 	B librpmbuild.so.0 
D:  requires: librpmbuild.so.0  satisfied by added provide.
D: installing binary packages
D: getting list of mounted filesystems
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1283514
D: expected size   : 1283514
D: package: rpm-4.0.2-6x files test = 0
D:    file: /bin/rpm action: create
D:    file: /etc/rpm action: create
D:    file: /etc/rpm/macros.db1 action: create
D:    file: /usr/bin/gendiff action: create
D:    file: /usr/bin/rpm2cpio action: create
D:    file: /usr/bin/rpmdb action: create
D:    file: /usr/bin/rpme action: create
D:    file: /usr/bin/rpmi action: create
D:    file: /usr/bin/rpmquery action: create
D:    file: /usr/bin/rpmsign action: create
D:    file: /usr/bin/rpmu action: create
D:    file: /usr/bin/rpmverify action: create
D:    file: /usr/doc/rpm-4.0.2 action: create
D:    file: /usr/doc/rpm-4.0.2/CHANGES action: create
D:    file: /usr/doc/rpm-4.0.2/GROUPS action: create
D:    file: /usr/doc/rpm-4.0.2/RPM-GPG-KEY action: create
D:    file: /usr/doc/rpm-4.0.2/RPM-PGP-KEY action: create
D:    file: /usr/doc/rpm-4.0.2/builddependencies action: create
D:    file: /usr/doc/rpm-4.0.2/buildroot action: create
D:    file: /usr/doc/rpm-4.0.2/dependencies action: create
D:    file: /usr/doc/rpm-4.0.2/format action: create
D:    file: /usr/doc/rpm-4.0.2/macros action: create
D:    file: /usr/doc/rpm-4.0.2/multiplebuilds action: create
D:    file: /usr/doc/rpm-4.0.2/queryformat action: create
D:    file: /usr/doc/rpm-4.0.2/relocatable action: create
D:    file: /usr/doc/rpm-4.0.2/signatures action: create
D:    file: /usr/doc/rpm-4.0.2/spec action: create
D:    file: /usr/doc/rpm-4.0.2/triggers action: create
D:    file: /usr/lib/librpm.so.0 action: create
D:    file: /usr/lib/librpm.so.0.0.0 action: create
D:    file: /usr/lib/librpmbuild.so.0 action: create
D:    file: /usr/lib/librpmbuild.so.0.0.0 action: create
D:    file: /usr/lib/librpmio.so.0 action: create
D:    file: /usr/lib/librpmio.so.0.0.0 action: create
D:    file: /usr/lib/rpm/config.guess action: create
D:    file: /usr/lib/rpm/config.sub action: create
D:    file: /usr/lib/rpm/convertrpmrc.sh action: create
D:    file: /usr/lib/rpm/i386-linux action: create
D:    file: /usr/lib/rpm/i386-redhat-linux action: create
D:    file: /usr/lib/rpm/i386-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i486-linux action: create
D:    file: /usr/lib/rpm/i486-redhat-linux action: create
D:    file: /usr/lib/rpm/i486-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i586-linux action: create
D:    file: /usr/lib/rpm/i586-redhat-linux action: create
D:    file: /usr/lib/rpm/i586-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/i686-linux action: create
D:    file: /usr/lib/rpm/i686-redhat-linux action: create
D:    file: /usr/lib/rpm/i686-redhat-linux/macros action: create
D:    file: /usr/lib/rpm/macros action: create
D:    file: /usr/lib/rpm/mkinstalldirs action: create
D:    file: /usr/lib/rpm/rpmdb action: create
D:    file: /usr/lib/rpm/rpme action: create
D:    file: /usr/lib/rpm/rpmi action: create
D:    file: /usr/lib/rpm/rpmk action: create
D:    file: /usr/lib/rpm/rpmpopt-4.0.2 action: create
D:    file: /usr/lib/rpm/rpmq action: create
D:    file: /usr/lib/rpm/rpmrc action: create
D:    file: /usr/lib/rpm/rpmu action: create
D:    file: /usr/lib/rpm/rpmv action: create
D:    file: /usr/man/man1/gendiff.1.gz action: create
D:    file: /usr/man/man8/rpm.8.gz action: create
D:    file: /usr/man/man8/rpm2cpio.8.gz action: create
D:    file: /usr/man/pl/man8/rpm.8.gz action: create
D:    file: /usr/man/ru/man8/rpm.8.gz action: create
D:    file: /usr/man/ru/man8/rpm2cpio.8.gz action: create
D:    file: /usr/man/sk/man8/rpm.8.gz action: create
D:    file: /usr/share/locale/cs/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/da/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/de/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/fi/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/fr/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/is/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ja/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/no/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pl/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pt/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/pt_BR/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ro/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/ru/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sk/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sl/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sr/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/sv/LC_MESSAGES/rpm.mo action: create
D:    file: /usr/share/locale/tr/LC_MESSAGES/rpm.mo action: create
D: running preinstall script (if any)
1

# seems to have bombed out on preinstall script.  Why?
# checking to see...

[root@localhost rpms]# rpm -qa | grep rpm
gnorpm-0.8-5
rpmfind-1.6-1
rpm-3.0.6-6x
maximum-rpm-1.0-0.20010419

# what is in the scripts?

[root@localhost rpms]# rpm -qp --scripts rpm-4.0.2-6x.i386.rpm 
preinstall script (through /bin/sh):
if [ -f /var/lib/rpm/Packages -a -f /var/lib/rpm/packages.rpm ]; then
#    echo "
#You have both
#	/var/lib/rpm/packages.rpm	db1 format installed package headers
#	/var/lib/rpm/Packages		db3 format installed package headers
#Please remove (or at least rename) one of those files, and re-install.
#"
    exit 1
fi
exit 0
postinstall script (through /bin/sh):
/sbin/ldconfig
if [ -f /var/lib/rpm/packages.rpm ]; then
    : # do nothing
elif [ -f /var/lib/rpm/Packages ]; then
    # undo db1 configuration
    rm -f /etc/rpm/macros.db1
else
    # initialize db3 database
    rm -f /etc/rpm/macros.db1
    /bin/rpm --initdb
fi
postuninstall program: /sbin/ldconfig

# seems it would bomb out if db1 and db3 db's were in /var/lib/rpm, but
# they aren't:

[root@localhost rpms]# ls /var/lib/rpm
conflictsindex.rpm  groupindex.rpm  packages.rpm       requiredby.rpm
fileindex.rpm       nameindex.rpm   providesindex.rpm  triggerindex.rpm

# checking a few more places...

[root@localhost rpms]# rpm -q --scripts rpm-3.0.6-6x

postinstall script (through /bin/sh):
/bin/rpm --initdb
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f
/usr/lib/rpm/convertrpmrc.sh ] 
then
	sh /usr/lib/rpm/convertrpmrc.sh > /dev/null 2>&1
fi
[root@localhost rpms]# rpm -qp --triggers rpm-4.0.2-6x.i386.rpm 
[root@localhost rpms]# rpm -q --triggers rpm-3.0.6-6x
[root@localhost rpms]# rpm -V rpm-3.0.6-6x

# then I come upon the idea to install rpm-4.0.2 --noscripts and do the
scripts
# manually...

[root@localhost rpms]# rpm -Uvh rpm-4.0.2-6x.i386.rpm --noscripts
rpm                        
##################################################
cannot remove /usr/src/redhat/SPECS - directory not empty
cannot remove /usr/src/redhat/SOURCES - directory not empty
cannot remove /usr/src/redhat - directory not empty

# It works!  Why?  Doing the postinstall script...

[root@localhost rpms]# /sbin/ldconfig

# and converting my db1->db3

[root@localhost rpms]# rpm --rebuilddb

# check...

[root@localhost rpms]# ls /var/lib/rpm
Basenames  Conflictname  Group  Name  Packages  Providename  Requirename 
Triggername
Comment 1 Jeff Johnson 2001-06-16 01:54:58 EDT
This is a rpm-3.0.x problem, as that's what would run the
rpm-4.0.2 scripts. I dunno how to reproduce your problem,
I've done an rpm-3.0.x -> rpm-4.0.2 upgrade many times
without seeing this problem. Please reopen if you can reproduce
the problem. An strace of the attempt would probably be
useful, looking particularly for the return code of the %pre
execv ...

Note You need to log in before you can comment on or make changes to this bug.